View Issue Details

IDProjectCategoryView StatusLast Update
05492Development Survey Designpublic2012-08-14 22:44
ReporterMazi Assigned Tomagiclko  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.91+ 
Target Version2.00Fixed in Version1.92RC2 
Summary05492: Changing global settings takes you away from survey design
Description

When create a design and then noticing that you need to change a global setting, that changes will take you away from the survey design screen. You get a confirmation saying that the global settings were changed but the survey you were just working on isn't preselected.

It would be great if - when switching to glbal settings - the system would "remember" the URl you came from so you can then be redirected to survey 12454, group 22, question 333 on which you just worked instead of seeing a nearly blank screen with a short confirmation message.

Steps To Reproduce
  1. Edit a survey question.
  2. Go to global settinsg and change some value
  3. You are redirected to the main screen and don't return to your survey.
TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2012-02-10 14:34

developer   ~17353

I'm n ot sure of the opprortunity to do some work like that :
If you update the survey-setting, then next step is survey.

If we made: update survey-setting if question are opened -> go back to question edit. The if we update survey text - > ?

And if we update group text -> ?

Etc ...

( beside: 2.0 have another system for toolbar link : middle click or right-click/open in new window work ).

Denis

Mazi

Mazi

2012-02-10 16:31

partner   ~17358

I prefer to take the user back to the page from which he has called the global settings. From a workflow point of view this would be straight forward.

DenisChenu

DenisChenu

2012-02-25 12:16

developer   ~17624

Maybe, but actually i think it's a bad solution : modify survey , go back to survey, modiy group: go back to group, modify question : go back to question, modify global settings : go back to global.

For me it's totally logic. I understand the logic.

Mazi

Mazi

2012-02-25 13:10

partner   ~17627

But often you change a global setting (email, XSS filter, ...) while creating a survey. So it would be a great help if you would be taken back to the page you just edited. Of course, if the user visited the globa settings from the global admin view, that's what he should be taken back to.

DenisChenu

DenisChenu

2012-02-29 10:29

developer   ~17686

I think it's a bad idea to do something like that, the i can't work on this bug , no ?
The new system seem totally illogic for me.

Denis

Mazi

Mazi

2012-02-29 11:10

partner   ~17687

Carsten, what's your opinion on the suggested work flow improvement?

c_schmitz

c_schmitz

2012-03-01 09:52

administrator   ~17692

I think it could be a useful way to enhance usability.
It is not a bug though ;), moving this to development.

c_schmitz

c_schmitz

2012-03-09 15:51

administrator   ~17802

I think this should extend to all of the main admin bar functions where possible.

magiclko

magiclko

2012-03-11 17:38

reporter   ~17882

Implemented in rev r4d94e51 : http://git.io/8c0NuQ

Issue History

Date Modified Username Field Change
2011-10-05 16:31 Mazi New Issue
2011-10-05 16:32 Mazi Status new => confirmed
2012-02-09 22:26 Mazi Assigned To => DenisChenu
2012-02-09 22:26 Mazi Status confirmed => assigned
2012-02-10 14:34 DenisChenu Note Added: 17353
2012-02-10 16:31 Mazi Note Added: 17358
2012-02-25 12:16 DenisChenu Note Added: 17624
2012-02-25 13:10 Mazi Note Added: 17627
2012-02-29 10:23 DenisChenu Assigned To DenisChenu =>
2012-02-29 10:29 DenisChenu Note Added: 17686
2012-02-29 11:10 Mazi Assigned To => c_schmitz
2012-02-29 11:10 Mazi Note Added: 17687
2012-03-01 09:52 c_schmitz Note Added: 17692
2012-03-01 09:52 c_schmitz Project Bug reports => Development
2012-03-01 09:52 c_schmitz Category Survey design => Survey Design
2012-03-09 15:46 c_schmitz Assigned To c_schmitz => magiclko
2012-03-09 15:46 c_schmitz Target Version 1.91+ => 2.00
2012-03-09 15:51 c_schmitz Note Added: 17802
2012-03-11 17:38 magiclko Note Added: 17882
2012-03-11 17:38 magiclko Status assigned => resolved
2012-03-11 17:38 magiclko Fixed in Version => 1.92RC2
2012-03-11 17:38 magiclko Resolution open => fixed
2012-08-14 22:44 c_schmitz Status resolved => closed